BaseVisitor (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.visitor.BaseVisitor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.visitor
Class BaseVisitor

    java.lang.Object
      org.apache.velocity.runtime.visitor.BaseVisitor

All Implemented Interfaces:
  ParserVisitor

Direct Known Subclasses:
  NodeViewMode, VMReferenceMungeVisitor

public abstract class BaseVisitor
extends java.lang.Object
implements ParserVisitor

This is the base class for all visitors. For each AST node, this class will provide a bare-bones method for traversal.

Version:
  $Id: BaseVisitor.java,v 1.12.4.1 2004/03/03 23:23:02 geirm Exp $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary
`protected InternalContextAdapter` | `context` Context used during traversal
`protected java.io.Writer` | `writer` Writer used as the output sink

Constructor Summary
`BaseVisitor()`

Method Summary
`void` | `setContext(InternalContextAdapter context)`
`void` | `setWriter(java.io.Writer writer)`
`java.lang.Object` | `visit(ASTAddNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAndNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAssignment node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTBlock node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTComment node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDirective node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDivNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTElseIfStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTElseStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTEQNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTFalse node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTGENode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTGTNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTIdentifier node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTIfStatement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTLENode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTLTNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMethod node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTModNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTMulNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNENode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNotNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTNumberLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTObjectArray node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTOrNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTprocess node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTReference node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSetDirective node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTStringLiteral node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTSubtractNode node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTText node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTTrue node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTWord node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected InternalContextAdapter context

  Context used during traversal

### writer

    protected java.io.Writer writer

  Writer used as the output sink

Constructor Detail

### BaseVisitor

    public BaseVisitor()

Method Detail

### setWriter

    public void setWriter(java.io.Writer writer)

### setContext

    public void setContext(InternalContextAdapter context)

### visit

    public java.lang.Object visit(SimpleNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTprocess node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTExpression node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTAssignment node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTOrNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTAndNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTEQNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTNENode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTLTNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTGTNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTLENode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTGENode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTAddNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTSubtractNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTMulNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTDivNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTModNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTNotNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTNumberLiteral node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTStringLiteral node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTIdentifier node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTMethod node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTReference node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTTrue node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTFalse node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTBlock node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTText node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTIfStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTElseStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTElseIfStatement node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTComment node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTObjectArray node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTWord node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTSetDirective node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTDirective node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.